package com.bocloud.nms.enums;

public enum AgileExternalNetworkType {
    PUBLIC(0, "PUBLIC"), // 公共类型
    PRIVATE(1, "PRIVATE"); // 私有类型
    private final int value;
    private final String text;

    AgileExternalNetworkType(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public String getText() {
        return text;
    }

    public static AgileExternalNetworkType byValue(int value) {
        for (AgileExternalNetworkType networkType : AgileExternalNetworkType.values()) {
            if (networkType.value == value) {
                return networkType;
            }
        }
        return null;
    }
}
